#include<iostream.h>
class Fixed_deposit
{
	long int p_amount;
	int years;
	int rate;
	float return_value;
     public:
	Fixed_deposit() { }
	Fixed_deposit(long int p, int y, float r=0.12);
	Fixed_deposit(long int p, int y, int r);
	void display(void);
};

Fixed_deposit :: Fixed_deposit(long int p, int y, float r)
{
	p_amount = p;
	years = y;
	rate = r;
	return_value = p_amount;
	for(int i=1;i<=y;i++)
		return_value = return_value * (1.0 + r);
}

Fixed_deposit :: Fixed_deposit(long int p, int y, int r)
{
	p_amount = p;
	years = y;
	rate = r;
	return_value = p_amount;
	for(int i=1;i<=y;i++)
		return_value = return_value * (1.0 + float(r)/100);
}

void Fixed_deposit :: display(void)
{
	cout << "\n"
	     << "Principal Amount = " << p_amount << "\n"
	     << "Return Value     = " << return_value  << "\n";
}

int main()
{
	Fixed_deposit FD1, FD2, FD3;

	long int p;
	int y;
	float r;
	int R;
	cout << "Enter amount, period, interest rate(percent form)" << "\n";
	cin >> p >> y >> R;
	FD1 = Fixed_deposit(p,y,R);
	
	cout << "Enter amount, period, interest rate(decimal form)" << "\n";
	cin >> p >> y >> r;
	FD2 = Fixed_deposit(p,y,r);
	
	cout << "Enter amount and period" << "\n";
	cin >> p >> y;
	FD3 = Fixed_deposit(p,y);
	
	cout << "Deposit 1 : ";
	FD1.display();

	cout << "Deposit 2 : ";
	FD2.display();

	cout << "Deposit 3 : ";
	FD3.display();

	return 0;
}